#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KF/KDE Stack.
#

%define rel 1

Summary:        KDE Framework 5 Tier 1 integration module for global shortcuts
Name:           kglobalaccel
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
BuildRequires:  pkgconfig(Qt5Core) 
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  kf5-macros
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kcrash-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version

BuildRequires:  cmake(KF5Service) >= %version

Conflicts:      plasma-workspace < 5.3.2

%description
KDE Framework 5 Tier 1 integration module for global shortcuts

%files
%_kf5_bindir/kglobalaccel5
%_qt5_plugindir/org.kde.kglobalaccel5.platforms
%_datadir/dbus-1/services/org.kde.kglobalaccel.service
%_kf5_services/kglobalaccel5.desktop
#(nl) Remove when find_lang is fixed
%_datadir/locale/*/LC_MESSAGES/*.qm


#--------------------------------------------------------------------

%define kf5globalaccel_major 5
%define libkf5globalaccel %mklibname kf5globalaccel %{kf5globalaccel_major}

%package -n %libkf5globalaccel
Summary:      KDE Framework 5 Tier 1 integration module for global shortcuts
Group:        System/Libraries


%description -n %libkf5globalaccel
KDE Framework 5 Tier 1 integration module for global shortcuts

%files -n %libkf5globalaccel 
%_kf5_libdir/libKF5GlobalAccel.so.%{kf5globalaccel_major}*


#--------------------------------------------------------------------

%define kf5globalaccelprivate_major 5
%define libkf5globalaccelprivate %mklibname kf5globalaccelprivate %{kf5globalaccelprivate_major}

%package -n %libkf5globalaccelprivate
Summary:      KDE Framework 5 Tier 1 integration module for global shortcuts
Group:        System/Libraries


%description -n %libkf5globalaccelprivate
KDE Framework 5 Tier 1 integration module for global shortcuts

%files -n %libkf5globalaccelprivate
%_kf5_libdir/libKF5GlobalAccelPrivate.so.%{kf5globalaccelprivate_major}*


#--------------------------------------------------------------------

%define kf5globalaccel_devel %mklibname kf5globalaccel -d

%package -n %kf5globalaccel_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5globalaccel = %version-%release
Requires:       %libkf5globalaccelprivate = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5globalaccel_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5globalaccel_devel
%_kf5_includedir/KGlobalAccel
%_kf5_includedir/kglobalaccel_version.h
%_kf5_libdir/cmake/KF5GlobalAccel
%_kf5_libdir/libKF5GlobalAccel.so
%_datadir/dbus-1/interfaces/kf5_org.kde.KGlobalAccel.xml
%_datadir/dbus-1/interfaces/kf5_org.kde.kglobalaccel.Component.xml
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5 
%make

%install
%makeinstall_std -C build


%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088966
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074537
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072202
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058357
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050534
- New version 5.26.0

* Thu Aug 18 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1046892
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041334
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021932
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014342
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999638
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986331
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942251
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921284
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913083
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909884
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900506
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899439
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898928
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888168
- New version 5.15.0

* Sun Sep 20 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881637
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862953
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-5.mga6
+ Revision: 862633
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Fri Aug 07 2015 neoclust <neoclust> 5.12.0-4.mga6
+ Revision: 861535
- Add conflict against previous plasma-workspace

* Fri Aug 07 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 861531
- Fix upgrade from mga5

* Sat Aug 01 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 860438
- Fix file list ( Sander85)

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853987
- New version 5.12.0

* Fri Jun 26 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 844346
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803359
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 749519
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681061
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660431
- New version 5.1.0

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 655181
- Rebuild against new kf5 macros

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651585
- New version 5.0.0

* Sun Jul 06 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 645408
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611279
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599686
- New version 4.97.0

* Sun Feb 16 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 593053
- New version 4.96.0

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-1.mga5
+ Revision: 587765
- imported package kglobalaccel

